osl::eval::ml::ProgressBonus Class Reference

`#include <progress.h>`

## Public Types

enum | { DIM = 256 }

## Static Public Member Functions

static int | eval (Progress16 black, Progress16 white)
static void | setUp (const Weights &weights)

## Static Private Member Functions

static int | index (Progress16 black, Progress16 white)

## Static Private Attributes

static CArray< int, 256 > | table

## Detailed Description

Definition at line 13 of file eval/progress.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
DIM |

Definition at line 16 of file eval/progress.h.

## Member Function Documentation

## eval()

int osl::eval::ml::ProgressBonus::eval | ( | Progress16 | black,
|  | Progress16 | white )

static

Definition at line 5 of file eval_progress.cc.

References index(), and table.

## index()

int osl::eval::ml::ProgressBonus::index | ( | Progress16 | black,
|  | Progress16 | white )

inline static private

Definition at line 20 of file eval/progress.h.

References osl::progress::ProgressN< N >::value().

Referenced by eval(), and setUp().

## setUp()

void osl::eval::ml::ProgressBonus::setUp | ( | const Weights & | weights | ) |

static

Definition at line 11 of file eval_progress.cc.

References osl::eval::ml::Weights::dimension(), index(), table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< int, 256 > osl::eval::ml::ProgressBonus::table

static private

Definition at line 24 of file eval/progress.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- eval/progress.h
- eval_progress.cc